/* LatVis
 * Copyright (C) 2002 Jan Outrata <outrataj@phoenix.inf.upol.cz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "appfilemenu.h"
#include "appwindow.h"
#include "dialogs.h"
#include "i18n.h"
#include <stdio.h>

void
AppFileMenu::new_()
{
  NewSetDialog *newset_dialog;
  
  newset_dialog = new NewSetDialog(window, orderedsets);
  newset_dialog->exec();
}

void
AppFileMenu::open()
{
  OpenFileDialog *open_dialog;
  
  open_dialog = new OpenFileDialog(window, orderedsets);
  open_dialog->exec();
}

AppFileMenu::AppFileMenu(AppWindow *win, OrderedSets *oss)
  : QPopupMenu(win)
{
  orderedsets = oss;
  window = win;
  // tearoff
  insertTearOffHandle();
  // new
  insertItem(QString::fromLocal8Bit(_("New...")), this, SLOT(new_()),
	     CTRL+Key_N);
  // open
  insertItem(QString::fromLocal8Bit(_("Open...")), this, SLOT(open()),
	     CTRL+Key_O);
  // separator
  insertSeparator();
  // quit
  insertItem(QString::fromLocal8Bit(_("Quit")), window, SLOT(close()),
	     CTRL+Key_Q);
  show();
}
